void IReyes()//============================================== Read IR compound eyes ===============================================
{
  digitalWrite(LIRleds,HIGH);                              // turn on IR LEDs to read TOTAL IR LIGHT (ambient + reflected)
  delayMicroseconds(50);                                  // Allow time for phototransistors to respond.
  LLIRvalue=analogRead(LIRleft);                           // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  LRIRvalue=analogRead(LIRright);                          // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  LUIRvalue=analogRead(LIRup);                             // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  LDIRvalue=analogRead(LIRdown);                           // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  
  RLIRvalue=analogRead(RIRleft);                           // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  RRIRvalue=analogRead(RIRright);                          // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  RUIRvalue=analogRead(RIRup);                             // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT
  RDIRvalue=analogRead(RIRdown);                           // TOTAL IR = AMBIENT IR + LED IR REFLECTED FROM OBJECT

  digitalWrite(LIRleds,LOW);                               // turn off IR LEDs to read AMBIENT IR LIGHT (IR from indoor lighting and sunlight)
  delayMicroseconds(50);                                   // Allow time for phototransistors to respond.

  LLIRvalue=LLIRvalue-analogRead(LIRleft);                 // REFLECTED IR = TOTAL IR - AMBIENT IR
  LRIRvalue=LRIRvalue-analogRead(LIRright);                // REFLECTED IR = TOTAL IR - AMBIENT IR
  LUIRvalue=LUIRvalue-analogRead(LIRup);                   // REFLECTED IR = TOTAL IR - AMBIENT IR
  LDIRvalue=LDIRvalue-analogRead(LIRdown);                 // REFLECTED IR = TOTAL IR - AMBIENT IR
  Ldistance=(LLIRvalue+LRIRvalue+LUIRvalue+LDIRvalue)/4;   // distance of object is average of reflected IR

  RLIRvalue=RLIRvalue-analogRead(RIRleft);                 // REFLECTED IR = TOTAL IR - AMBIENT IR
  RRIRvalue=RRIRvalue-analogRead(RIRright);                // REFLECTED IR = TOTAL IR - AMBIENT IR
  RUIRvalue=RUIRvalue-analogRead(RIRup);                   // REFLECTED IR = TOTAL IR - AMBIENT IR
  RDIRvalue=RDIRvalue-analogRead(RIRdown);                 // REFLECTED IR = TOTAL IR - AMBIENT IR
  Rdistance=(RLIRvalue+RRIRvalue+RUIRvalue+RDIRvalue)/4;   // distance of object is average of reflected IR

  /*
   Serial.print("  LLIRvalue: "); Serial.print(LLIRvalue);
   Serial.print("  LRIRvalue: "); Serial.print(LRIRvalue);
   Serial.print("  LUIRvalue: "); Serial.print(LUIRvalue);
   Serial.print("  LDIRvalue: "); Serial.print(LDIRvalue);
   
   Serial.print("  RLIRvalue: "); Serial.print(RLIRvalue);
   Serial.print("  RRIRvalue: "); Serial.print(RRIRvalue);
   Serial.print("  RUIRvalue: "); Serial.print(RUIRvalue);
   Serial.print("  RDIRvalue: "); Serial.println(RDIRvalue);
  */
  //Serial.print("Left distance: "); Serial.print(Ldistance);
  //Serial.print("  --  Right distance: "); Serial.println(Rdistance);
}

