//=========================================================== Peek to see if it is safe =============================================

void Peek()
{
  do
  {
    for(int i=0;i<20;i++)                                  // look up to see if it is safe
    {
      svp[11]+=30;                                         // swivel hip1 to uncover left eye
      svp[12]-=30;                                         // swivel hip8 to uncover right eye
      svp[3]+=10;                                          // adjust thigh1
      svp[20]-=10;                                         // adjust thigh8
      svp[25]+=30;                                         // raise left eye                        **** changed from "-" to "+" for new servo ****
      svp[27]-=30;                                         // raise right eye
      sv[11].writeMicroseconds(svp[11]);                   // update the servos position
      sv[12].writeMicroseconds(svp[12]);                   // update the servos position
      sv[3].writeMicroseconds(svp[3]);                     // update the servos position
      sv[20].writeMicroseconds(svp[20]);                   // update the servos position
      sv[25].writeMicroseconds(svp[25]);                   // update the servos position
      sv[27].writeMicroseconds(svp[27]);                   // update the servos position
      delay(30);
    }

    IReyes();                                              // Look!!
    if (Ldistance<bestdistance && Rdistance<bestdistance)  // seems clear, look around
    {
      randomSeed(analogRead(0));
      lp=(random(25)-12)*2;                                // random pan speed and direction for left eye
      randomSeed(analogRead(1));
      rp=(random(25)-12)*2;                                // random pan speed and direction for right eye
      randomSeed(analogRead(0));
      lt=(random(25)-12)*2;                                // random tilt speed and direction for left eye
      randomSeed(analogRead(1));
      rt=(random(25)-12)*2;                                // random tilt speed and direction for right eye

      for (int j=0;j<150;j++)                              // scan about looking for trouble
      {
        LeyeScan();
        ReyeScan();
        delay(20);
        IReyes();
        if (Ldistance>bestdistance || Rdistance>bestdistance)// something there!!
        {
          svp[24]=2100;                                    // return left  eye pan  directly to center
          svp[26]=2100;                                    // return right eye pan  directly to center
          svp[25]=1000;                                    // return left  eye tilt directly to center          **** changed 2000 to 1000 for new servo ****
          svp[27]=2000;                                    // return right eye tilt directly to center

          sv[24].writeMicroseconds(svp[24]);               // update the servos position
          sv[26].writeMicroseconds(svp[26]);               // update the servos position
          sv[25].writeMicroseconds(svp[25]);               // update the servos position
          sv[27].writeMicroseconds(svp[27]);               // update the servos position
          delay(40);
          break;                                           // break out of loop
        } 
      }
    }
    if (Ldistance<bestdistance && Rdistance<bestdistance) 
    {
      lp=lp/(abs(lp))*5;
      rp=rp/(abs(rp))*5;
      lt=lt/(abs(lt))*1;
      rt=rt/(abs(rt))*1;
      break; 
    }

    for(int i=0;i<20;i++)                                  // hide eyes until left alone
    {
      svp[11]-=30;                                         // swivel hip1 to hide left eye
      svp[12]+=30;                                         // swivel hip8 to hide right eye
      svp[3]-=10;                                          // adjust thigh1
      svp[20]+=10;                                         // adjust thigh8
      svp[25]-=30;                                         // lower left eye                    **** changed from "+" to "-" for new servo
      svp[27]+=30;                                         // lower right eye
      sv[11].writeMicroseconds(svp[11]);                   // update the servos position
      sv[12].writeMicroseconds(svp[12]);                   // update the servos position
      sv[3].writeMicroseconds(svp[3]);                     // update the servos position
      sv[20].writeMicroseconds(svp[20]);                   // update the servos position
      sv[25].writeMicroseconds(svp[25]);                   // update the servos position
      sv[27].writeMicroseconds(svp[27]);                   // update the servos position
      delay(15);
    }
    delay(2500);                                           // wait longer if someone still there
  }
  while(1==1);
}


